---
title: Maintaining ownership continuity of your user account's repositories
intro: You can invite someone to manage your user owned repositories if you are not able to.
versions:
  fpt: '*'
  ghec: '*'
topics:
  - Accounts
  - Repositories
redirect_from:
  - /github/setting-up-and-managing-your-github-user-account/maintaining-ownership-continuity-of-your-user-accounts-repositories
  - /github/setting-up-and-managing-your-github-user-account/managing-access-to-your-personal-repositories/maintaining-ownership-continuity-of-your-user-accounts-repositories
shortTitle: Ownership continuity
---
## About successors

We recommend inviting another {% data variables.product.company_short %} user to be your successor, to manage your user owned repositories if you cannot. As a successor, they will have permission to:

- Archive your public repositories.
- Transfer your public repositories to their own user owned account.
- Transfer your public repositories to an organization where they can create repositories.

Successors cannot log into your account.

An appointed successor can manage your public repositories after presenting a death certificate then waiting for 7 days or presenting an obituary then waiting for 21 days. For more information, see "[{% data variables.product.company_short %} Deceased User Policy](/free-pro-team@latest/github/site-policy/github-deceased-user-policy)."

To request access to manage repositories as a successor, contact [GitHub Support](https://support.github.com/contact?tags=docs-accounts).

## Inviting a successor
The person you invite to be your successor must have a {% data variables.product.company_short %} account.

{% data reusables.user_settings.access_settings %}
{% data reusables.user_settings.account_settings %}
3. Under "Successor settings", to invite a successor, begin typing a username, full name, or email address, then click their name when it appears.
   ![Successor invitation search field](/assets/images/help/settings/settings-invite-successor-search-field.png)
4. Click **Add successor**.
{% data reusables.user_settings.sudo-mode-popup %}
5. The user you've invited will be listed as "Pending" until they agree to become your successor.
   ![Pending successor invitation](/assets/images/help/settings/settings-pending-successor.png)
