---
title: Types of emails GitHub sends
intro: 'There are several types of emails you can receive from {% data variables.product.product_name %}, including notifications, account information, customer research invitations, and marketing communications.'
redirect_from:
  - /articles/types-of-emails-github-sends
  - /github/setting-up-and-managing-your-github-user-account/types-of-emails-github-sends
  - /github/setting-up-and-managing-your-github-user-account/managing-email-preferences/types-of-emails-github-sends
versions:
  fpt: '*'
  ghec: '*'
topics:
  - Accounts
  - Notifications
shortTitle: Emails from GitHub
---
## Notification emails

You can choose to receive some or all of your activity notifications via email. For more information, see "[About notifications](/github/managing-subscriptions-and-notifications-on-github/about-notifications)." Notification emails can include:

- Security-related activity on repositories you have admin access to
- Activity on repositories you're watching
- Conversations you're participating in
- Conversations where you've been @mentioned
- Pushes to pull requests you're participating in
- Invitations to collaborate in an organization or repository
- Your own activity, such as opening, commenting on, or closing issues and pull requests

You can also choose which type of email updates you'd like to receive on conversations you're participating in or watching. For more information, see "[Configuring notifications](/github/managing-subscriptions-and-notifications-on-github/configuring-notifications)."

## Account emails

If you've upgraded to paid products or features, then you'll receive billing receipts at the account's primary email address. For more information, see "[Setting your billing email](/articles/setting-your-billing-email)."

## Customer research emails

{% data variables.product.product_name %} occasionally seeks customers to participate in research sessions to help us build a better GitHub. These are conducted remotely, open to customers worldwide, and may include:

- Feedback surveys
- Research interviews
- Usability testing sessions
- Previewing early prototypes or concepts

These emails are infrequent and you can choose whether or not to participate. If you're interested in additional opportunities to participate in research sessions, you may add yourself to the GitHub Customer Research Panel. For more information, see "[GitHub Customer Experience Research](https://cxr.github.com)."

## Marketing emails

{% data variables.product.product_name %} occasionally sends these types of marketing emails:

- Tips and tricks for getting started with your account
- Customized information about engaging projects or new features
- Newsletters that you've subscribed to, such as {% data variables.explore.explore_github %}

For more information, see "[Managing marketing emails from GitHub](/articles/managing-marketing-emails-from-github)."
