---
title: GitHub Codespaces Documentation
shortTitle: GitHub Codespaces
intro: 'Create a codespace to start developing in a secure, configurable, and dedicated development environment that works how and where you want it to.'
introLinks:
  overview: /codespaces/overview
  quickstart: /codespaces/getting-started/quickstart
featuredLinks:
  guides:
    - /billing/managing-billing-for-github-codespaces/about-billing-for-codespaces
    - /codespaces/managing-codespaces-for-your-organization/enabling-codespaces-for-your-organization
    - /codespaces/setting-up-your-codespace/configuring-codespaces-for-your-project
    - /codespaces/managing-codespaces-for-your-organization/managing-repository-access-for-your-organizations-codespaces
    - /codespaces/developing-in-codespaces/codespaces-lifecycle
  popular:
    - /codespaces/getting-started-with-codespaces/getting-started-with-your-nodejs-project-in-codespaces
    - /codespaces/getting-started-with-codespaces/getting-started-with-your-python-project-in-codespaces
    - /codespaces/getting-started-with-codespaces/getting-started-with-your-java-project-in-codespaces
    - /codespaces/getting-started-with-codespaces/getting-started-with-your-dotnet-project
  videos:
    - title: "Inside GitHub: Moving GitHub's Development to Codespaces – Cory Wilkerson"
      href: 'https://www.youtube-nocookie.com/embed/Lj_RpjEuESE'
    - title: "Making Codespaces Work for You – Allison Weins, Bailey Brooks"
      href: 'https://www.youtube-nocookie.com/embed/X9Z-rUixnzk'
    - title: "Coding in the cloud with GitHub Codespaces and VS Code – Damian Brady"
      href: 'https://www.youtube-nocookie.com/embed/xWr_yH_AGVs'
  videosHeading: GitHub Universe 2021 videos
  guideCards:
    - /codespaces/getting-started/deep-dive
    - /codespaces/developing-in-codespaces/creating-a-codespace
    - /codespaces/developing-in-codespaces/using-codespaces-in-visual-studio-code
    - /codespaces/setting-up-your-codespace/personalizing-codespaces-for-your-account
  popularHeading: Set up your project
product_video: 'https://www.youtube-nocookie.com/embed/_W9B7qc9lVc'
communityRedirect:
  name: Provide GitHub Feedback
  href: 'https://github.com/github/feedback/discussions/categories/codespaces-feedback'
redirect_from:
  - /github/developing-online-with-github-codespaces
  - /github/developing-online-with-codespaces
layout: product-landing
examples_source: data/product-examples/codespaces/code-examples.yml
versions:
  fpt: '*'
  ghec: '*'
children:
  - /overview
  - /getting-started
  - /setting-up-your-project-for-codespaces
  - /customizing-your-codespace
  - /developing-in-codespaces
  - /managing-your-codespaces
  - /managing-codespaces-for-your-organization
  - /codespaces-reference
  - /troubleshooting
  - /the-githubdev-web-based-editor
  - /guides
---

